org.apache.solr.handler.dataimport

## Class HTMLStripTransformer

- java.lang.Object
- - org.apache.solr.handler.dataimport.Transformer
  - - org.apache.solr.handler.dataimport.HTMLStripTransformer

-     public class HTMLStripTransformer
      extends Transformer

  A `Transformer` implementation which strip off HTML tags using `HTMLStripCharFilter` This is useful in case you don't need this HTML anyway.
  Since:
    solr 1.4
  See Also:
    `HTMLStripCharFilter`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `STRIP_HTML`
    `static String` | `TRUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HTMLStripTransformer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `transformRow(Map<String,Object> row, Context context)` The input is a row of data and the output has to be a new row.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STRIP_HTML

          public static final String STRIP_HTML

      See Also:
        Constant Field Values

    - #### TRUE

          public static final String TRUE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HTMLStripTransformer

          public HTMLStripTransformer()

  - ### Method Detail

    - #### transformRow

          public Object transformRow(Map<String,Object> row,
                                     Context context)

      Description copied from class: `Transformer`
      The input is a row of data and the output has to be a new row.
      Specified by:
        `transformRow` in class `Transformer`
      Parameters:
        `row` - A row of data
        `context` - The current context
      Returns:
        The changed data. It must be a `Map`<`String`, `Object`> if it returns only one row or if there are multiple rows to be returned it must be a `List`<`Map`<`String`, `Object`>>

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.